Bug 299289 - "Replace smileys by emoticons" causes another message to be displayed
Summary: "Replace smileys by emoticons" causes another message to be displayed
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: config dialog (show other bugs)
Version: 4.8.2
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-03 11:25 UTC by Graeme Hewson
Modified: 2012-05-04 14:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graeme Hewson 2012-05-03 11:25:50 UTC
To reproduce: While displaying a message with a smiley, go into Configure / Appearance / Message Window tab. Tick "Replace smileys by emoticons" option, or untick it if it's already ticked (it doesn't matter which, so long as the option is changed). Click OK. The message window displays a different message.

Expected result: The current message remains displayed (with smileys changed to emoticons or vice versa).

Reproducible: Always.
Comment 1 Laurent Montel 2012-05-03 14:33:14 UTC
It's not related to smiley it's just repaint message with take old message before to change directory.
I will fix soon.
Comment 2 Laurent Montel 2012-05-04 14:51:46 UTC
Git commit c7814acf9c67b1c7840401eb7e9949edffb7569e by Montel Laurent.
Committed on 04/05/2012 at 16:49.
Pushed by mlaurent into branch 'master'.

Fix Bug 299289 - "Replace smileys by emoticons" causes another message

to be displayed
It was a bug when we saved aggregation combobox it reloaded config
=> reload last selected item.
Now save it before when we apply config so it avoid to select last saved
item.

FIXED-IN: 4.8.4

M  +2    -2    kmail/configuredialog.cpp
M  +8    -0    kmail/kmkernel.cpp
M  +2    -0    kmail/kmkernel.h
M  +6    -0    kmail/kmmainwidget.cpp
M  +1    -0    kmail/kmmainwidget.h
M  +8    -4    messagelist/core/widgetbase.cpp
M  +2    -0    messagelist/core/widgetbase.h
M  +7    -1    messagelist/pane.cpp
M  +2    -0    messagelist/pane.h

http://commits.kde.org/kdepim/c7814acf9c67b1c7840401eb7e9949edffb7569e
Comment 3 Laurent Montel 2012-05-04 14:53:50 UTC
Git commit aaecbfa8612020ab9ff0a05bea782426bf4d899f by Montel Laurent.
Committed on 04/05/2012 at 16:49.
Pushed by mlaurent into branch 'KDE/4.8'.

Fix Bug 299289 - "Replace smileys by emoticons" causes another message

to be displayed
It was a bug when we saved aggregation combobox it reloaded config
=> reload last selected item.
Now save it before when we apply config so it avoid to select last saved
item.

FIXED-IN: 4.8.4
(cherry picked from commit c7814acf9c67b1c7840401eb7e9949edffb7569e)

Conflicts:

	kmail/kmmainwidget.cpp
	messagelist/core/widgetbase.h

M  +2    -2    kmail/configuredialog.cpp
M  +8    -0    kmail/kmkernel.cpp
M  +2    -0    kmail/kmkernel.h
M  +6    -0    kmail/kmmainwidget.cpp
M  +1    -0    kmail/kmmainwidget.h
M  +8    -4    messagelist/core/widgetbase.cpp
M  +2    -0    messagelist/core/widgetbase.h
M  +7    -1    messagelist/pane.cpp
M  +2    -0    messagelist/pane.h

http://commits.kde.org/kdepim/aaecbfa8612020ab9ff0a05bea782426bf4d899f